## org.eclipse.amp.agf.gef
Class ScapePartTreeFactory

    java.lang.Object
      org.eclipse.amp.agf.gef.ScapePartTreeFactory

All Implemented Interfaces:
  org.eclipse.gef.EditPartFactory

    public class ScapePartTreeFactory

extends java.lang.Object
implements org.eclipse.gef.EditPartFactory

A factory for creating ScapePartTree objects.

Constructor Summary
`ScapePartTreeFactory(IModel model, IGraphicsAdapter graphicsAdapter)`

Method Summary
`org.eclipse.gef.EditPart` `createEditPart(org.eclipse.gef.EditPart context, java.lang.Object model)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScapePartTreeFactory

    public ScapePartTreeFactory(IModel model,
                                IGraphicsAdapter graphicsAdapter)

Method Detail

### createEditPart

    public org.eclipse.gef.EditPart createEditPart(org.eclipse.gef.EditPart context,
                                                   java.lang.Object model)

  Specified by:
    `createEditPart` in interface `org.eclipse.gef.EditPartFactory`
  Parameters:
    `context` -
    `model` -
  Returns:
  See Also:
    `EditPartFactory.createEditPart(org.eclipse.gef.EditPart, java.lang.Object)`